PHPExcel_Shared_Escher

# Class: PHPExcel_Shared_Escher_DggContainer_BstoreContainer_BSE

Source Location: /PHPExcel/Shared/Escher/DggContainer/BstoreContainer/BSE.php

### Class Overview

PHPExcel_Shared_Escher_DggContainer_BstoreContainer_BSE

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- BLIPTYPE_CMYKJPEG
- BLIPTYPE_DIB
- BLIPTYPE_EMF
- BLIPTYPE_ERROR
- BLIPTYPE_JPEG
- BLIPTYPE_PICT
- BLIPTYPE_PNG
- BLIPTYPE_TIFF
- BLIPTYPE_UNKNOWN
- BLIPTYPE_WMF

### Methods

- getBlip
- getBlipType
- setBlip
- setBlipType
- setParent

### Class Details

[line 35]
PHPExcel_Shared_Escher_DggContainer_BstoreContainer_BSE

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method getBlip [line 84]

`PHPExcel_Shared_Escher_DggContainer_BstoreContainer_BSE_Blip getBlip( )`

Get the BLIP

#### Tags:

access: | public

[ Top ]

### method getBlipType [line 105]

`int getBlipType( )`

Get the BLIP type

#### Tags:

access: | public

[ Top ]

### method setBlip [line 94]

`void setBlip( PHPExcel_Shared_Escher_DggContainer_BstoreContainer_BSE_Blip $blip)`

Set the BLIP

#### Tags:

access: | public

#### Parameters:

PHPExcel_Shared_Escher_DggContainer_BstoreContainer_BSE_Blip | $blip |

[ Top ]

### method setBlipType [line 115]

`void setBlipType( int $blipType)`

Set the BLIP type

#### Tags:

access: | public

#### Parameters:

int | $blipType |

[ Top ]

### method setParent [line 74]

`void setParent( PHPExcel_Shared_Escher_DggContainer_BstoreContainer $parent)`

Set parent BLIP Store Entry Container

#### Tags:

access: | public

#### Parameters:

PHPExcel_Shared_Escher_DggContainer_BstoreContainer | $parent |

[ Top ]

### Class Constants

#### BLIPTYPE_CMYKJPEG = 0x12

[line 46]

[ Top ]

#### BLIPTYPE_DIB = 0x07

[line 44]

[ Top ]

#### BLIPTYPE_EMF = 0x02

[line 39]

[ Top ]

#### BLIPTYPE_ERROR = 0x00

[line 37]

[ Top ]

#### BLIPTYPE_JPEG = 0x05

[line 42]

[ Top ]

#### BLIPTYPE_PICT = 0x04

[line 41]

[ Top ]

#### BLIPTYPE_PNG = 0x06

[line 43]

[ Top ]

#### BLIPTYPE_TIFF = 0x11

[line 45]

[ Top ]

#### BLIPTYPE_UNKNOWN = 0x01

[line 38]

[ Top ]

#### BLIPTYPE_WMF = 0x03

[line 40]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:19 +0200 by phpDocumentor 1.4.4